%global npm_name csslint
%global forgeurl https://github.com/CSSLint/csslint
Version:        1.0.5

%forgemeta

Name:           %{npm_name}
Release:        %mkrel 4
Summary:        Detecting potential problems in CSS code
Group:          Development/Other

License:        MIT
URL:            https://csslint.net/
Source0:        %{forgesource}
Source1:        %{npm_name}-%{version}-nm-prod.tgz
Source2:        %{npm_name}-%{version}-nm-dev.tgz
Source3:        %{npm_name}-%{version}-bundled-licenses.txt
Patch0:         csslint-bundled-libs.patch

BuildArch:      noarch

Requires:       nodejs >= 0.10.0
BuildRequires:  nodejs-devel

Provides:       bundled(nodejs-clone) = 2.1.2
Provides:       bundled(nodejs-parserlib) = 1.1.1

%description
CSSLint is a tool to help point out problems with your CSS code. It does basic
syntax checking as well as applying a set of rules to the code that look for
problematic patterns or signs of inefficiency. The rules are all pluggable, so
you can easily write your own or omit ones you don't want.


%prep
%forgesetup
%patch -P 0 -p1

cp %{SOURCE3} .
tar xfz %{SOURCE1}
mkdir -p node_modules
pushd node_modules
ln -s ../node_modules_prod/* .
ln -s ../node_modules_prod/.bin .
popd


%build
chmod a+x dist/cli.js


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}/
cp -pr package.json dist/* %{buildroot}%{nodejs_sitelib}/%{npm_name}/
cp -pr node_modules node_modules_prod %{buildroot}%{nodejs_sitelib}/%{npm_name}/

mkdir -p %{buildroot}%{_bindir}/
ln -sf %{nodejs_sitelib}/%{npm_name}/cli.js %{buildroot}%{_bindir}/%{name}


%check
%{__nodejs} -e 'require("./")'
tar xfz %{SOURCE2}
pushd node_modules
ln -s ../node_modules_dev/* .
popd
node_modules_dev/.bin/grunt test


%files
%doc CHANGELOG README.md
%license LICENSE %{npm_name}-%{version}-bundled-licenses.txt
%{_bindir}/%{name}
%{nodejs_sitelib}/%{npm_name}


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.0.5-4.mga10
+ Revision: 2231551
- Mageia 10 Mass Rebuild

* Sat Dec 21 2024 pterjan <pterjan> 1.0.5-3.mga10
+ Revision: 2127190
- Rebuild for patchN deprecation
+ danf <danf>
- Switch URL to https

* Mon May 01 2023 daviddavid <daviddavid> 1.0.5-2.mga9
+ Revision: 1955514
- clone and parserlib are bundled libs

* Tue Sep 27 2022 neoclust <neoclust> 1.0.5-1.mga9
+ Revision: 1892771
- New version 1.0.5

* Sat Mar 26 2022 umeabot <umeabot> 0.10.0-8.mga9
+ Revision: 1828731
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 0.10.0-7.mga8
+ Revision: 1490110
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.10.0-6.mga7
+ Revision: 1261532
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-5.mga6
+ Revision: 944778
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 751139
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 678605
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 541513
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 matteo <matteo> 0.10.0-1.mga4
+ Revision: 496090
- new version 0.10.0

* Fri Jun 21 2013 matteo <matteo> 0.9.10-1.mga4
+ Revision: 445568
- new version (0.9.10)

* Fri Jan 11 2013 umeabot <umeabot> 0.9.8-2.mga3
+ Revision: 348369
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 matteo <matteo> 0.9.8-1.mga3
+ Revision: 291028
- imported package csslint

